
<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Información General</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Sku</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Sku" placeholder="Sku" name="Sku" required="" size="sm" id="txtSku"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Referencia</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Referencia" placeholder="Referencia" name="Referencia" size="sm"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Código alterno</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-barcode"></i></span></div>
          <input class="ControlInput--Input" type="text" [(ngModel)]="tArticulo.Codalterno" placeholder="Código Alterno" name="Referencia" size="sm"/>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Costo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="1" [(ngModel)]="tArticulo.Costo" placeholder="Costo" name="Costo" required="" size="sm" borderDer0="borderDer0" id="txtCosto"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Iva</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Iva" placeholder="Iva" size="sm" borderDer0="borderDer0" id="txtCosto"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio1</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecio1 ? 'number' : 'password'" SoloNumeros="decimal" min="1" [(ngModel)]="tArticulo.Precio1" placeholder="Precio1" name="Precio1" required="" size="sm" borderDer0="borderDer0" id="txtPrecio1"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio2</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecio2 ? 'number' : 'password'" SoloNumeros="decimal" [(ngModel)]="tArticulo.Precio2" placeholder="Precio2" name="Precio2" size="sm" borderDer0="borderDer0" id="txtPrecio2"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio3</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecio3 ? 'number' : 'password'" SoloNumeros="decimal" [(ngModel)]="tArticulo.Precio3" placeholder="Precio3" name="Precio3" size="sm" borderDer0="borderDer0" id="txtPrecio3"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Precio Lista</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-dollar-sign"></i></span></div>
          <input class="ControlInput--Input" [type]="tVprecioLista ? 'number' : 'password'" SoloNumeros="decimal" min="1" [(ngModel)]="tArticulo.Preciolista" placeholder="Precio" name="Preciolista" required="" size="sm" borderDer0="borderDer0" id="txtPreciolista"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">{{ tEmpresa.Simbolo }}</span></span></div>
        </div>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Tipo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shapes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tTipoActual" (change)="CambiarTipo()" size-select="sm">
            <option *ngFor="let tTipo of tTipos" [ngValue]="tTipo">{{tTipo.Codtipo}}</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Unidad</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-shapes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tUnidadActual" (change)="CambiarUnidadMedida()" size-select="sm">
            <option *ngFor="let tUnidad of tUnidades" [ngValue]="tUnidad">[ {{tUnidad.Codunidadmedida}} ] {{ tUnidad.Descripcion }} - Factor: {{ tUnidad.Factor_venta }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalUnidadesMedida()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Color</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-palette"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tColorActual" (change)="CambiarColor()" size-select="sm">
            <option *ngFor="let tColor of tColores" [ngValue]="tColor">[ {{tColor.Codcolor}} ] {{ tColor.Descripcion }}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalColores()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Lotes</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-boxes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tArticulo.Maneja_lotes" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Seriales</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-boxes"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tArticulo.Maneja_seriales" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Peso</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-weight"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Peso" placeholder="Peso" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">Kg</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Volumen</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-prescription-bottle"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Volumen" placeholder="Volumen" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">L</span></span></div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-md-6 col-lg-4">
        <label class="form-label h6">Alto</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-vertical"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Alto" placeholder="Alto" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-md-6 col-lg-4">
        <label class="form-label h6">Ancho</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-horizontal"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Ancho" placeholder="Ancho" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
        </div>
      </div>
      <div class="form-group col-12 col-md-6 col-lg-4">
        <label class="form-label h6">Largo</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-ruler-combined"></i></span></div>
          <input class="ControlInput--Input" type="number" SoloNumeros="decimal" min="0" [(ngModel)]="tArticulo.Largo" placeholder="Largo" size="sm" borderDer0="borderDer0"/>
          <div class="ControlInput--ContenedorIconoAppend"><span class="ControlInput--ContenedorIconoAppend-Icono"><span class="fas">M</span></span></div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Tallas</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
          <select class="ControlInput--Select" (change)="CambiarTallas()" [(ngModel)]="tArticulo.Maneja_tallas" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-3">
        <input class="form-control form-control-sm" type="text" [readonly]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_inicial" placeholder="Inicial"/>
      </div>
      <div class="form-group col-12 col-lg-3">
        <input class="form-control form-control-sm" type="text" [readonly]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_final" placeholder="Final"/>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Tallas Intermedias</label>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-box"></i></span></div>
          <select class="ControlInput--Select" (change)="BloquearTallas()" [disabled]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_intermedias" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <input class="form-control form-control-sm" type="text" [readonly]="BloquearTallas()" [(ngModel)]="tArticulo.Talla_sugerida" placeholder="Talla Sugerida"/>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-6">
    <div class="form-row border-bottom-secondary mb-2">
      <div class="form-group col-12">
        <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Vencimientos</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
          <select class="ControlInput--Select" (change)="CambiarVencimiento()" [(ngModel)]="tArticulo.Maneja_vencimiento" size-select="sm">
            <option value="S">Sí</option>
            <option value="N">No</option>
          </select>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="form-row">
          <div class="form-group col-6">
            <label class="form-label h6" for="txtDias_vencimiento_r">Días en recepción</label>
          </div>
          <div class="form-group col-6">
            <label class="form-label h6" for="txtDias_vencimiento_d">Días en despacho</label>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-pallet"></i></span></div>
              <input class="ControlInput--Input" SoloNumeros="number" type="number" min="0" [disabled]="BloquearVencimiento()" [(ngModel)]="tArticulo.Dias_vencimiento_r" placeholder="Recepción" name="Dias_vencimiento_r" required="" size="sm" id="txtDias_vencimiento_r"/>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-truck-loading"></i></span></div>
              <input class="ControlInput--Input" SoloNumeros="number" type="number" min="0" [disabled]="BloquearVencimiento()" [(ngModel)]="tArticulo.Dias_vencimiento_d" placeholder="Recepción" name="Dias_vencimiento_d" required="" size="sm" id="txtDias_vencimiento_d"/>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>